package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/app/admin/fronted"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerLineCoinnetworkRouter)
	routerFrontedCheckRole = append(routerFrontedCheckRole, registerLineCoinnetworkFrontedRouter)
}

// registerLineCoinnetworkRouter
func registerLineCoinnetworkRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.LineCoinnetwork{}
	r := v1.Group("/line-coinnetwork").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
	}
}

func registerLineCoinnetworkFrontedRouter(v1 *gin.RouterGroup) {
	api := fronted.LineCoinnetwork{}
	r := v1.Group("/line-coinnetwork")
	{
		r.GET("/list", api.GetList)
	}
}
